<template>
	<view class="pages">
		<u-navbar
			title="我的门店"
			:placeholder="true"
			:autoBack="true"
			 @leftClick="leftClick"
			 :safeAreaInsetTop="true"
		>
		</u-navbar>
	<!-- 	<view class="tabs-wrap">
			<u-tabs 
			:list="tabsList" 
			lineColor="#00A447" 
			 :activeStyle="{color:'#333','font-weight': '600','font-size':'30rpx'}"
			 :inactiveStyle="{color:'#999'}"
			@click="tabsClick"></u-tabs>
		</view> -->
		<view class="page-wrap">
			<mescroll-body class="" ref="mescrollRef" @init="mescrollInit" @down="downCallback" @up="upCallback" :down="downOption" :up="upOption">
				<view class="u-flex u-flex-wrap u-row-between">
					<view class="list-item" v-for="item in dataList" @click="$u.route('/center/store',{id:item.id})" :key="item.id">
						<view class="item">
							<view class="image-wrap">
								<u--image mode="aspectFill" height="300rpx" width="100%" :showLoading="true" class="image" :src="item.mainImg"></u--image>
							</view>
							<view class="name ellipsis-1">{{item.name}}</view>
						</view>
					</view>
				</view>
			</mescroll-body>
		</view>
	</view>
</template>

<script>
	// 引入mescroll-mixins.js
	import MescrollMixin from "@/uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js";
	export default {
		mixins: [MescrollMixin], // 使用mixin
		components:{
			
		},
		data() {
			return {
				downOption: {},
				// 上拉加载的配置(可选, 绝大部分情况无需配置)
				upOption: {
					page: {
						size: 10 // 每页数据的数量,默认10
					},
					noMoreSize: 5, // 配置列表的总数量要大于等于5条才显示'-- END --'的提示
					empty: {
						tip: '～暂无店铺～',
						icon:'../static/img/empty.png'
					}
				},
				tabsList:[],
				activeIndex:0,
				typeId:null,
				dataList:[]
				
			}
		},
		onLoad() {
			// this.shopGoodsType();
		},
		methods: {
			leftClick(e){
				let pages = getCurrentPages();
				if(pages.length==1){uni.$u.route('/pages/index/index')};
			},
			/*下拉刷新的回调, 重置列表为第一页 (此处可删,mixins已默认)
			downCallback(){
				this.mescroll.resetUpScroll();
			},
			/*上拉加载的回调*/
			upCallback(page) {
				// 此处可以继续请求其他接口
				// if(page.num == 1){
				// 	// 请求其他接口...
				// }
				
				//如果希望先请求其他接口,再触发upCallback,可参考以下写法
				// if(!this.hasTypeId){
				// 	this.$u.api.shopGoodsType().then(res=>{
				// 		// this.tabsList = res.data;
				// 		this.tabsList = res.data.map(item=>{
				// 			return {name:item.dictLabel,id:item.dictValue}
				// 		});
				// 		this.hasTypeId = true
				// 		this.mescroll.resetUpScroll() // 重新触发upCallback
				// 	}).catch(()=>{
				// 		this.mescroll.endErr()
				// 	})
				// 	return // 此处return,先获取xx
				// }
				// let typeId = this.tabsList[this.activeIndex].id;
				let pageNum = page.num; // 页码, 默认从1开始
				let pageSize = page.size; // 页长, 默认每页10条
				
				let params ={
					// typeId:typeId,
					pageNum:pageNum,
					pageSize:pageSize
				};
				console.log('params',params);
				this.$u.api.shopList(params).then(data => {
					console.log('data',JSON.parse(JSON.stringify(data)));
					// 接口返回的当前页数据列表 (数组)
					let curPageData = data.data.list;
					// console.log('curPageData',JSON.parse(JSON.stringify(curPageData)));
					// 接口返回的当前页数据长度 (如列表有26个数据,当前页返回8个,则curPageLen=8)
					let curPageLen = curPageData.length; 
					// 接口返回的总页数 (如列表有26个数据,每页10条,共3页; 则totalPage=3)
					// let totalPage =  data.data.totalPage; 
					// 接口返回的总数据量(如列表有26个数据,每页10条,共3页; 则totalSize=26)
					let totalSize = data.data.total; 
					// 接口返回的是否有下一页 (true/false)
					// let hasNext = data.xxx; 
					// console.log('totalPage',totalPage,'curPageLen',curPageLen);
					//设置列表数据
					if(page.num == 1) this.dataList = []; //如果是第一页需手动置空列表
					this.dataList = this.dataList.concat(curPageData); //追加新数据
					// 请求成功,隐藏加载状态
					//方法一(推荐): 后台接口有返回列表的总页数 totalPage
					// this.mescroll.endByPage(curPageLen, totalPage); 
					//方法二(推荐): 后台接口有返回列表的总数据量 totalSize
					this.mescroll.endBySize(curPageLen, totalSize); 
				}).catch(err => {
					this.mescroll.endErr()
					console.log(err)
				});	
			
			},
			/*若希望重新加载列表,只需调用此方法即可(内部会自动page.num=1,再主动触发up.callback)*/
			reloadList() {
				this.mescroll.resetUpScroll();
			},
			// shopGoodsType(){
			// 	this.$u.api.shopGoodsType().then(res=>{
			// 		console.log('shopGoodsType',res.data);
			// 		this.tabsList = res.data.map(item=>{
			// 			return {name:item.dictLabel,id:item.dictValue}
			// 		});
			// 		console.log('shopGoodsType',res.data);
			// 		console.log('tabsList',this.tabsList);
			// 	}).catch(err=>{
			// 		// console.log('err11111',err);
			// 	})
			// },
			tabsClick(item){
				this.activeIndex = item.index;
				this.reloadList()
				console.log('item',item);
			},
		}
	}
</script>
<style>
page{
	background-color: #F9F9F9;
}
</style>
<style lang="scss" scoped>
.tabs-wrap{
	background-color: #fff;
	margin-bottom: 10rpx;
}
.list-item{
	overflow: hidden;
	width: 48%;
	margin-bottom: 30rpx;
	padding-bottom: 20rpx;
	background-color: #fff;
	.image-wrap{
		margin-bottom: 20rpx;
	}
	.name{
		padding: 0 20rpx;
	}
}
</style>
